
Name:		icewm
Summary:	X11 Window Manager
Version:	1.4.2
Release:	%mkrel 2
License:	LGPL
Group:		Graphical desktop/Icewm
URL:		http://www.icewm.org/
Source:		icewm-%{version}.tar.xz
Source1:	themes.tar.xz
Source2:	icewm-16.png
Source3:	icewm-32.png
Source4:	icewm-48.png
Source5:    icewm-menu-xdg
Source6:    icewm-starticewm
Source7:    icewm-xeditor
Source9:    icewm-default.jpg
Source10:   startup
Patch0:     icewm-1.3.12-bindy.patch
Patch1:     icewm-1.3.12-defaultfont.patch
Patch2:     icewm-1.3.12-focus-on-raise.patch
Patch4:     icewm-1.3.12-dso.patch
Patch5:     icewm-1.3.12-fixcrash.patch
Patch6:     icewm-1.3.12-default-pref.patch
Patch7:     icewm-1.3.12-background.patch
Patch8:     icewm-1.3.12-default.patch
#Patch9:     icewm-1.3.12-icesm.cc.patch
Patch10:    icewm-1.3.12-toolbar.patch
#-------------------------------------------
BuildRequires: %{_lib}fontconfig-devel
BuildRequires: %{_lib}freetype6-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xft-devel
BuildRequires: %{_lib}xinerama-devel
BuildRequires: %{_lib}xrandr2-devel
BuildRequires: %{_lib}xrender-devel
BuildRequires:	gettext
BuildRequires:	libpcap-devel
BuildRequires:	xpm-devel
BuildRequires:  linuxdoc-tools
#-------------------------------------------
Obsoletes: icewm-i18n
Obsoletes: icewm-light
Obsoletes: icewm-themes
#-------------------------------------------
Requires: lxterminal
Requires: pnmixer
Requires: xdg-compliance
Requires: polkit
Requires: polkit-gnome
Requires: consolekit
Requires: consolekit-x11
Requires: policykit
Requires: %{_lib}polkit1_0
Requires: %{_lib}polkit2
Requires: %{_lib}consolekit0
Requires: %{_lib}polkit-gtk1_0
#for update-menus
Requires(post):	desktop-common-data
Requires(postun):	desktop-common-data

%description
Window Manager for X Window System. Can emulate the look of Windows'95, OS/2
Warp 3,4, Motif or the Java Metal GUI. Tries to take the best features of the
above systems. Features multiple workspaces, opaque move/resize, task bar,
window list, mailbox status, digital clock. Fast and small.


%prep
%setup -q
%apply_patches

%build
./autogen.sh

%configure2_5x \
  --docdir=%{_docdir}/%{name}        \
  --disable-silent-rules             \
  --with-cfgdir=%{_sysconfdir}/icewm \
  --with-icesound=alsa               \
  --enable-i18n                      \
  --enable-corefonts                 \
  --enable-nls                       \
  --enable-guievents                 \
  --enable-antialiasing              \
  --enable-gradients                 \
  --enable-xfreetype                 \
  --enable-menus-fdo                 \
  --enable-i18n

%make


%install
rm -rf %buildroot
%make_install

#we dont use this
rm -rf %buildroot/%{_datadir}/xsessions

#extra themes
tar xpvf %SOURCE1 -C %buildroot/%{_datadir}/icewm

# wmsession support
mkdir -p %{buildroot}/etc/X11/wmsession.d/
cat << EOF > %{buildroot}/etc/X11/wmsession.d/07IceWM
NAME=IceWM
ICON=icewm-wmsession.xpm
EXEC=/usr/bin/starticewm
DESC=Lightweight desktop environment
SCRIPT:
exec /usr/bin/starticewm
EOF


#icons
install -D -m644 %{SOURCE2} %{buildroot}%{_miconsdir}/%{name}.png
install -D -m644 %{SOURCE3} %{buildroot}%{_iconsdir}/%{name}.png
install -D -m644 %{SOURCE4} %{buildroot}%{_liconsdir}/%{name}.png

#bins
install -D -m755 %{SOURCE5} %{buildroot}%{_sysconfdir}/menu.d/%{name}
install -m 755 %{SOURCE6} %{buildroot}%{_bindir}/starticewm
install -m 755 %{SOURCE7} %{buildroot}%{_bindir}/xeditor

#customization
install -D -m 0644 %SOURCE9 %{buildroot}/%{_datadir}/wallpapers/icewm-default.jpg
install -m 0755 %SOURCE10 %{buildroot}%{_datadir}/icewm/startup

%find_lang icewm

%files -f icewm.lang
%{_bindir}/icehelp
%{_bindir}/icesh
%{_bindir}/icewm
%{_bindir}/icewm-menu-fdo
%{_bindir}/icewm-session
%{_bindir}/icewm-set-gnomewm
%{_bindir}/icewmbg
%{_bindir}/icewmhint
%{_bindir}/icewmtray
%{_bindir}/icesound
%{_bindir}/starticewm
%{_bindir}/xeditor
%{_bindir}/icewm-menu-gnome2

%{_datadir}/doc
%{_datadir}/icewm/icons
%{_datadir}/icewm/themes
%{_datadir}/icewm/taskbar
%{_datadir}/man
%{_datadir}/icewm/ledclock
%{_datadir}/icewm/mailbox

%{_datadir}/icewm/menu
%{_datadir}/icewm/preferences
%{_datadir}/icewm/programs
%{_datadir}/icewm/toolbar
%{_datadir}/icewm/winoptions
%{_datadir}/icewm/keys
%{_datadir}/icewm/startup

%config(noreplace) /etc/X11/wmsession.d/*
%{_sysconfdir}/menu.d/%{name}
%{_datadir}/icons
%{_datadir}/wallpapers/icewm-default.jpg


%post
%{make_session}
if [ -x %{_bindir}/update-menus ]; then %{_bindir}/update-menus; fi

%postun
%{make_session}


%changelog
* Wed Sep 13 2017 bb2 <bb2> - 1.4.2-2pclos2017
- rebuild against updates

* Wed Aug 02 2017 bb2 <bb2> - 1.4.2-1pclos2017
- new version

* Sat Jun 03 2017 bb2 <bb2> - 1.3.12-7pclos2017
- update from git
- adjust some theme menus

* Wed May 31 2017 bb2 <bb2> - 1.3.12-6pclos2017
- update from git and rediff patches

* Tue May 30 2017 bb2 <bb2> - 1.3.12-5pclos2017
- add 30 more cool themes
- make oxygen-aya-azul as default

* Tue May 30 2017 bb2 <bb2> - 1.3.12-4pclos2017
- add 4 memory leak patches from git

* Tue May 30 2017 bb2 <bb2> - 1.3.12-3pclos2017
- revert patch 9
- add net_applet to startup

* Mon May 29 2017 bb2 <bb2> - 1.3.12-2pclos2017
- fix update-menu to only write to /usr/share/icewm/menu

* Mon May 29 2017 bb2 <bb2> - 1.3.12-1pclos2017
- new version
